Loading...
Searching...
No Matches
LibSerial::ReadTimeout Class Reference

Exception error thrown when data could not be read from the serial port before the timeout had been exceeded. More...

`#include <SerialPortConstants.h>`

Inheritance diagram for LibSerial::ReadTimeout:
[legend]
Collaboration diagram for LibSerial::ReadTimeout:
[legend]

## Public Member Functions

| ReadTimeout (const std::string &whatArg)
| Exception error thrown when data could not be read from the serial port before the timeout had been exceeded.

## Detailed Description

Exception error thrown when data could not be read from the serial port before the timeout had been exceeded.

Examples
  main_page_example.cpp, serial_port_read.cpp, and serial_port_read_write.cpp.

Definition at line 171 of file SerialPortConstants.h.

## Constructor & Destructor Documentation

## ReadTimeout()

LibSerial::ReadTimeout::ReadTimeout | ( | const std::string & | whatArg | ) |

inline explicit

Exception error thrown when data could not be read from the serial port before the timeout had been exceeded.

Definition at line 178 of file SerialPortConstants.h.

The documentation for this class was generated from the following file:

- src/libserial/SerialPortConstants.h